[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TMemoryStream.Clear

Zeroes the position, capacity and size of the stream.

## Declaration

Source position: classesh.inc line 963

`public procedure TMemoryStream.Clear;`

## Description

Clear sets the position and size to 0, and sets the capacity of the stream to 0, thus freeing all memory allocated for the stream.

## See also

TStream.Size |  | The current size of the stream.
TStream.Position |  | The current position in the stream.
TCustomMemoryStream.Memory |  | Pointer to the data kept in the memory stream.

Documentation generated on: Feb 26 2014